<div *ngIf="layoutType === 'game' && isLoading === false" class="main-logged-in">
  <app-layout-content (activate)="onActivate($event)"></app-layout-content>
</div>

<div *ngIf="layoutType === 'article' || layoutType === 'newspaper'" class="main-logged-in" style="padding-top: 50px;">
  <app-layout-content></app-layout-content>
</div>

<div *ngIf="layoutType === 'auth'">
  <router-outlet></router-outlet>
</div>

<ng-template #cookieTemplate>
  <h3>Cookies!</h3>
  <h4>
    This site uses cookies to offer you a better browsing experience. Find out
    more on
    <a href="/privacy-policy" target="_blank">how we use cookies</a>.
  </h4>
  <div nz-row style="text-align: center">
    <div nz-col nzSpan="12">
      <button nz-button nzType="primary" nzShape="round" (click)="acceptCookies()">
        Accept
      </button>
    </div>
    <div nz-col nzSpan="12">
      <button nz-button nzType="danger" nzShape="round" (click)="rejectCookies()">
        Reject
      </button>
    </div>
  </div>
</ng-template>